aboutsummaryrefslogtreecommitdiff
path: root/auto-void-packages/update-git-repo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'auto-void-packages/update-git-repo.sh')
-rwxr-xr-xauto-void-packages/update-git-repo.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/auto-void-packages/update-git-repo.sh b/auto-void-packages/update-git-repo.sh
new file mode 100755
index 0000000..e71701c
--- /dev/null
+++ b/auto-void-packages/update-git-repo.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+echo_n_notify(){
+ echo "$1" && notify-send "$1"
+}
+
+pushd "$HOME/workbench/void-packages" || exit 1
+CHECKOUT="checkout"
+FETCH="fetch"
+MERGE="merge"
+PUSH="push"
+
+git checkout master && \
+ echo_n_notify "$CHECKOUT: ok" && \
+ git fetch upstream && \
+ echo_n_notify "$FETCH: ok" && \
+ git merge upstream/master && \
+ echo_n_notify "$MERGE: ok" && \
+ git push && \
+ echo_n_notify "$PUSH: ok"
+
+./xbps-src bootstrap-update
+
+popd || exit 1